Version compatible de "Adobe Shockwave Player?"

27

Existe-t-il une version compatible avec Ubuntu du "Adobe Shockwave Player?" J'utilise Firefox et lorsque j'essaie de faire apparaître l'un des sites Web de mon école, le plug-in manque. Lorsque je clique sur "Installer le plug-in manquant", il n'y en a pas, alors quand je clique sur installer manuellement le plug-in, cela m'amène à l'installation d'Adobe Shockwave Player, mais il n'y a pas de version d'ubuntu à installer ??? Sur le service de recherche de plug-in Firefox, il est dit "Unknown Plugin (application / x-director)

    
posée Rob 10.06.2011 - 22:41
la source

6 réponses

24

Le lecteur Shockwave est uniquement disponible pour Windows. Vous pouvez utiliser mozplugger (un programme qui vous permet «d’intégrer» d’autres programmes dans votre navigateur Web) avec la version wine et windows de firefox.

  • D'abord, installez les packages wine et mozplugger (à partir du centre du logiciel).

  • Téléchargez et installez maintenant la version Windows de Firefox. Téléchargez-le à partir du site Web de Mozilla . Maintenant double-cliquez dessus et installez-le.

  • Exécutez la version Windows de Firefox.

  • Accédez maintenant à un site Web nécessitant Shockwave , et choisissez d’obtenir le plug-in manquant. Encore une fois, suivez les instructions à l'écran, et lorsque le plug-in est installé et fonctionne, vous pouvez fermer Firefox.

  • Maintenant, vous devez configurer mozplugger pour utiliser la version Windows de Firefox pour les fichiers Shockwave. Appuyez sur Alt + F2 et tapez:

    gksudo gedit

puis ouvrez le fichier / etc / mozpluggerrc

Ajoutez les deux lignes suivantes à la fin du fichier:

application/x-director: dir,dcr,dxr,cst,cct,cxt,w3d,fgd,swa: Macromedia Director file
        swallow(firefox.exe) fill stream: wine "C:\Program Files\Mozilla Firefox\firefox.exe" -chrome "$file"

Ouvrez maintenant un terminal ( Ctrl + Alt + T ) et collez

rm ~/.mozilla/firefox/*.default/pluginreg.dat

Maintenant, lancez la version native de Firefox et testez le lecteur shockwave en visitant ce site .

Modifié à partir d'ici

    
réponse donnée Lincity 11.06.2011 - 10:40
la source
3

Non, il n'y a pas de Shockwave pour Linux. Je suggère d'installer Firefox et Shockwave dans WINE , ce qui a fonctionné pour moi par le passé.

    
réponse donnée RobinJ 10.06.2011 - 23:17
la source
3

De Wikipedia :

  

Contrairement à Flash, le plug-in de navigateur Shockwave n'est pas disponible pour Linux ou Solaris malgré des efforts de lobbying intenses. Cependant, Shockwave Player peut être installé sur Linux avec CrossOver ou en exécutant une version Windows d’un navigateur pris en charge dans Wine (avec plus ou moins de succès).

Essayez de l'exécuter avec CrossOver ou Wine .

    
réponse donnée antivirtel 10.06.2011 - 23:16
la source
3

Installez PlayOnLinux:

sudo apt-get install playonlinux

Installez la version Windows de Firefox.

Lorsque l'installation est terminée, PlayOnLinux vous demande si vous souhaitez installer des plug-ins supplémentaires sur Firefox, sélectionnez le plug-in shockwave.

Si vous recevez une "Erreur - format incorrect" lorsque vous essayez de charger une application shockwave, vous devez vous rendre sur la page Adobe. Shockwave Test Page , faites un clic droit sur l'image qui affiche la version de shockwave et sélectionnez "Propriétés ...", puis décochez "Autoriser la compatibilité ascendante".

    
réponse donnée TheShadowFog 22.08.2011 - 18:50
la source
0

Shockwave est mort depuis plusieurs années maintenant. La chose que vous recherchez est Adobe Flash Player (je présume) qui peut être trouvé dans le Centre logiciel Ubuntu.

Vous pouvez rechercher Adobe Flash Player et le faire apparaître. Appuyez sur 'Installer' et vous êtes sur votre chemin.

    
réponse donnée Eduard 08.04.2012 - 01:27
la source
-4

Vous pouvez également utiliser le navigateur Web Chrome - cela fonctionne pour les sites qui échouent dans Firefox.

    
réponse donnée Robert Swipe 01.09.2011 - 21:28
la source

Lire d'autres questions sur les étiquettes